if (up() .and. (current%level == init_level_list%gs2_layouts - 1)) call gs2_layouts_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%normalisations - 1)) call normalisations_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%theta_grid_params - 1)) call theta_grid_params_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%fields_parameters - 1)) call fields_parameters_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%gs2_save - 1)) call gs2_save_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%init_g - 1)) call init_g_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_optimisations - 1)) call override_optimisations_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_miller_geometry - 1)) call override_miller_geometry_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%theta_grid - 1)) call theta_grid_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%kt_grids_parameters - 1)) call kt_grids_parameters_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_kt_grids - 1)) call override_kt_grids_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%kt_grids - 1)) call kt_grids_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%run_parameters - 1)) call run_parameters_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%hyper - 1)) call hyper_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%species - 1)) call species_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_profiles - 1)) call override_profiles_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%le_grids - 1)) call le_grids_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%antenna - 1)) call antenna_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_parameters - 1)) call dist_fn_parameters_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_layouts - 1)) call dist_fn_layouts_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%fields_level_1 - 1)) call fields_level_1_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%nonlinear_terms - 1)) call nonlinear_terms_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_arrays - 1)) call dist_fn_arrays_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_level_1 - 1)) call dist_fn_level_1_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_level_2 - 1)) call dist_fn_level_2_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_timestep - 1)) call override_timestep_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%dist_fn_level_3 - 1)) call dist_fn_level_3_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%collisions - 1)) call collisions_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%fields_level_2 - 1)) call fields_level_2_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%override_initial_values - 1)) call override_initial_values_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%set_initial_values - 1)) call set_initial_values_subroutine(.true.)
    if (up() .and. (current%level == init_level_list%full - 1)) call full_subroutine(.true.)